Bug 198688 - up2date throws exception when installed package has dep on skip list
up2date throws exception when installed package has dep on skip list
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2006-07-12 15:58 EDT by James Bourne
Modified: 2012-06-20 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bourne 2006-07-12 15:58:26 EDT
Description of problem: While installing gcc and having glibc* on the
pkgSkipList, up2date throws an exception instead of saying what the real problem is.

Version-Release number of selected component (if applicable):

leifur:-bash# cat /etc/redhat-release 
Red Hat Enterprise Linux AS release 4 (Nahant Update 3)
leifur:-bash# rpm -q up2date

How reproducible:

Steps to Reproduce:
1. Install system without devel tools
2. put glibc* in PkgSkipList in /etc/sysconfig/rhn/up2date
3. attempt to install gcc
Actual results:
Should cause up2date to throw an exception

Expected results:
up2date should output missing dep, on skip list.

Additional info:
Comment 1 Roman Lazarev 2006-08-02 14:21:11 EDT
This should be the right behavior to not proceed, unless the user uses --force.
Maybe throwing an exception is not a good behavior, a friendly error message
would be sufficient.
Comment 2 Red Hat Bugzilla 2007-04-11 20:55:02 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Jiri Pallich 2012-06-20 12:57:44 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.